]> git.saurik.com Git - bison.git/blobdiff - bootstrap
Typo.
[bison.git] / bootstrap
index 017517fc23c5dedd84d7e1d4f38bbca30de42305..a86aeb83f7807b5d4bd53296e3a6d969a77a2012 100755 (executable)
--- a/bootstrap
+++ b/bootstrap
@@ -58,6 +58,12 @@ build_cvs_prefix() {
   fi
 }
 
+cleanup_gnulib() {
+  status=$?
+  rm -fr gnulib
+  exit $status
+}
+
 # Get gnulib files.
 
 case ${GNULIB_SRCDIR--} in
@@ -65,9 +71,6 @@ case ${GNULIB_SRCDIR--} in
   if [ ! -d gnulib ]; then
     echo "$0: getting gnulib files..."
 
-    trap exit 1 2 13 15
-    trap 'rm -fr gnulib; exit 1' 0
-
     case ${CVS_AUTH-anoncvs} in
     anoncvs)
       CVS_PREFIX='anoncvs@';;
@@ -82,9 +85,12 @@ case ${GNULIB_SRCDIR--} in
     '') export CVS_RSH=ssh;;
     esac
 
-    cvs -z3 -q -d ${CVS_PREFIX}subversions.gnu.org:/cvsroot/gnulib co gnulib || exit
+    trap cleanup_gnulib 1 2 13 15
+
+    cvs -z3 -q -d ${CVS_PREFIX}subversions.gnu.org:/cvsroot/gnulib co gnulib ||
+      cleanup_gnulib
 
-    trap - 0
+    trap - 1 2 13 15
   fi
   GNULIB_SRCDIR=gnulib
 esac
@@ -108,7 +114,12 @@ quotearg
 stdbool
 stdio-safer
 stpcpy
+strerror
+strtoul
+strverscmp
 unistd-safer
+unlocked-io
+verify
 xalloc
 xalloc-die
 xstrndup